@font-face {
    font-family: "Ocra";
    src: url('../fonts/OCRAbyBT-Regular.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}


@font-face {
    font-family: "TF2 Build";
    src: url('../fonts/tf2build.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "TF2 Professor";
    src: url('../fonts/tf2professor.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}


@font-face {
    font-family: 'Agency FB Bold';
    font-style: normal;
    font-weight: normal;
    src: url('../fonts/AGENCYB.woff') format('woff');
}



:root {
    --primary-color: #007bff;
    --font-stack: Arial, sans-serif;


    --gutter-width: 1024px;
}

.noselect, img {
    -webkit-user-drag: none;
    user-drag: none;
    user-select: none;
    pointer-events: none;
}

#gradient {
    background: linear-gradient(
        to right,
        black 0%,
        transparent 10%,
        transparent 90%,
        black 100%
    );

    width: var(--gutter-width);
    max-width: var(--gutter-width);
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    position: absolute;
    z-index: 250;
    margin:0px auto;
}

body {
    background-color: #000;
    color: #797973;
    font-size: 10px;
    font-family: Arial, Helvetica, sans-serif;
    margin: 0;

    position: relative;
}

#tf2_logo {
    top: 0.5rem;
    width: 200px;
    position: absolute;
}
#tf2_logo:hover {
    animation-name: tf2-logo-animate;
    animation-duration: 250ms;
    animation-fill-mode: both;
}
@keyframes tf2-logo-animate {
    0%   {
        filter: brightness(1);
        -webkit-filter: brightness(1);
    }
    100% {
        filter: brightness(1.15);
        -webkit-filter: brightness(1.15);
    }
}

#title {
    position:relative;
    z-index: 300;
}

#page_nav 
{
    position: absolute;
    font-size: 3.5rem;
    top: 538px;
    right: 208px;
    width: 253px;

    display: flex;
    justify-content: space-around;
    flex-direction: row;
    align-items: center;
    z-index: 301;

}

#page_nav > a,
#page_nav > span
{
    text-decoration: none;
    color: #F3B353;
    opacity: 0.45;
    font-family: "Ocra", monospace;
    transition:
        opacity 0.2s ease,
        text-shadow 0.2s ease;
}

#page_nav > a:not(.disabled):hover {
    opacity: 1;
    text-shadow: 0px 0px 16px rgba(243, 179, 83, 1);
}

#page_nav > .disabled {
    opacity: 0.25;
    cursor:default;
}

.gutter {
    max-width: var(--gutter-width);
    width: var(--gutter-width);
    margin: 0rem auto;
    display: flex;
    justify-content: space-around;
    flex-direction: column;
    align-items: center;
    position: relative;
    background-color: #1a1a1a;
}

header {
    padding-top: 0.5rem;
    position: relative;

    background: url('../img/page1_01.jpg') no-repeat scroll center top;
    height: 1213px;
}

body.page-2 header {
    background-image: url('../img/page2_01.jpg');
    height: 734px;
}

footer {
    color: #797973;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 10px;
    text-align: left;
    /*filter: drop-shadow(0px 0px 4px rgba(0, 0, 0, 0.25));*/
    display: flex !important;
    flex-direction: row !important;
    justify-content: center !important;
    margin: 2rem auto !important;
    margin-top:0 !important;
    margin-bottom:0 !important;
    padding-top:0rem;
    padding-bottom:0rem;
    box-sizing: border-box;
    gap: 15px;
}

#television 
{
    margin-top: -200px;
    display: flex;
    justify-content: center;
    align-items: center;

    background-image: url("../img/map2_bg.png");
    background-size: contain;
    background-position-x: center;
    background-position-y: -606px;
    background-size: 1142px;
    background-repeat: no-repeat;
}

#television > iframe {
    position: absolute;
    top: 722px;
    left: 170px;
}

#maps_section {
    position: relative;
    background: url('../img/page1_02.jpg') no-repeat scroll center top;
    height: 1402px;
}

#intro_text {
    color: white;
    align-items: center;
    width: 100%;
    text-align: center;
    margin:0 auto 2rem;
    max-width: calc(var(--gutter-width) - 20%);
}

#intro_text > h1 {
    font-family: "TF2 Build";
    font-size: 50px;
    margin-bottom: 0px;
}

#intro_text > p {
    margin-top: 20px;
    font-family: "TF2 Professor";
    font-size: 40px;
    line-height: 30px;
}

#case {
    position: absolute;
    top: 1071px;
}

#case > figure,
#case2 > figure {
    display: grid;
    grid-template-areas:
        "img h2"
        "img p";
    ;
    grid-template-columns: 2fr 2fr;
    max-width: calc(var(--gutter-width) - 30%);
    margin: 0px auto;
    color:white;
    text-align: center;
}

#case > figure > img,
#case2 > figure > img {
    grid-area: 'img';
}

#case > figure > figcaption > h2,
#case2 > figure > figcaption > h2 {
    grid-area: 'h2';
        font-family: "TF2 Build";
    font-size: 30px;
}

#case > figure > figcaption > p,
#case2 > figure > figcaption > p {
    grid-area: "p";
    font-family: "TF2 Professor";
    font-size: 30px;
    line-height: 30px;
    margin-top:0px;
}

#case2 {
    background: url('../img/page2_05.jpg') no-repeat scroll center top;
    width: 100%;
    height: 1100px;
    padding-top: 45px;
}

#cosmetics {
    position: relative;
    background: url('../img/page1_03.jpg') no-repeat scroll center top;
    width: 100%;
    height: 1066px;
}

#unusuals {
    position: relative;
    background: url('../img/page1_04.jpg') no-repeat scroll center top;
    width: 100%;
    height: 1098px;
}

.unusual_hover {
    box-shadow: 0 0 12px rgba(0,0,0, 0);
    background-color: rgba(0,0,0, 0.5);
    position: absolute;
    z-index: 9999;
    border-radius: 38px;
    transition: background-color 50ms;
}

.unusual_hover:hover {
    box-shadow: 0 0 12px rgba(241, 124, 0, 1);
    background-color: rgba(241, 124, 0, 0.13);
}

#firewall {
    height: 112px;
    width: 112px;
    left: 137px !important;
    top: 320px !important;
}
#topsecret {
    height: 193px;
    width: 294px;
    left: 254px !important;
    top: 234px !important;
}
#facereg {
    left: 552px !important;
    top: 272px !important;
    height: 175px;
    width: 198px;
}
#ascension { 
    left: 93px !important;
    top: 446px !important;
    height: 119px;
    width: 117px;
}
#controlpanel { 
    left: 211px !important;
    top: 429px !important;
    height: 158px;
    width: 173px;
}
#techanalysis { 
    top: 430px !important;
    left: 383px !important;
    height: 155px;
    width: 174px;
}
#barcode { 
    top: 453px !important;
    left: 556px !important;
    height: 176px;
    width: 196px;
}
#invisink { 
    left: 758px !important;
    top: 331px !important;
    height: 276px;
    width: 161px;
}
#alwayswatching { 
    left: 131px !important;
    top: 587px !important;
    height: 124px;
    width: 195px;
}
#detection {
    top: 588px !important;
    left: 326px !important;
    height: 178px;
    width: 226px;
}
#conspiracytheory {
    top: 629px !important;
    left: 552px !important;
    height: 171px;
    width: 115px;
}
#digitalpulse {
    left: 667px !important;
    top: 628px !important;
    height: 121px;
    width: 118px;
}


#taunts {
    background: url('../img/page1_05.jpg') no-repeat scroll center top;
    width: 100%;
    height: 1086px;
}

/*#taunts > img {
    filter: drop-shadow(0 16px 64px rgba(0,0,0, 0.85));
}*/

#taunts > figure {
    display: grid;
    max-width: calc(var(--gutter-width) - 30%);
    margin: 0px auto;
    color:white;
    text-align: center;

    max-height:500px;
}

#taunts > figure h2,
#taunts > figure p,
#taunts > figure img {
    visibility: hidden;
}

#taunts > figure.taunt_left {
    margin-top: 12px;
}

.taunt_left {
    grid-template-areas:
        "img title"
        "img caption"
        "img video"
        "img credit";
    ;
    grid-template-columns: 2fr 2fr;
    grid-template-rows: 1fr 1fr 3fr 1fr;
}
.taunt_right {
    grid-template-areas:
        "title   img"
        "caption img"
        "video   img"
        "credit  img";
    ;
    grid-template-columns: 2fr 2fr;
    grid-template-rows: 1fr 1fr 3fr 1fr;
}

#taunts .taunt__image {
    grid-area: 'img';
    max-width: 300px;
    max-height: 500px;
    display: block;
    margin: 0px auto;
}

#taunts .taunt__name {
    grid-area: 'title';
    font-family: "TF2 Build";
    font-size: 35px;
}

#taunts .taunt_caption {
    grid-area: 'caption';
    font-family: "TF2 Professor";
    font-size: 30px;
}

#taunts .taunt__video {
    grid-area: 'video';
    height:150px;
    width:300px;
}

#taunts .taunt__credits {
    grid-area: 'credit';
    font-family: "TF2 Professor";
    font-size: 30px;
}

#copyright {
    display: block;
    padding: 4px 0 0 200px;
}

body.page-2 #copyright {
    position: absolute;
    bottom: 41px;
}

body.page-1 footer {
    background: url('../img/page1_06.jpg') no-repeat scroll center top;
    height: 926px;
}

.crt {
    position: absolute;
    top: 418px;
    left: 260px;
    width: 510px;
    height: 298px;
    z-index: 50;
    opacity: .35;
}
.crt::after {
    content: " ";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background-color: rgba(18, 16, 16, 0.75);
    border-radius: 48px;
}
.crt::before {
    content: " ";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: linear-gradient(rgba(32, 32, 32, 0) 50%, rgba(255,255,255, 0.15) 50%);
    z-index: 2;
    background-size: 100% 10px, 10px 100%;
    pointer-events: none;

    animation: slide 30s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    background-repeat: repeat-y;
    z-index: 0;
    border-radius: 48px;
}

@keyframes slide {
    from {
        background-position: 0% 0%;
    }
    to {
        background-position: 0% 100%;
    }
}

#map_buttons {
    /* background:red; */
    position:absolute;
    top: 753px;
    left: 207px;
    width: 630px;
    height: 200px;
}

#map_buttons button {
    position: absolute;
    top: 0;
    left: 0;

    width: 96px;
    height: 96px;

    background-repeat: no-repeat;
    background-size: 480px 192px;
    background-color: transparent;
    background-image: url("../img/map_buttons_off.png");

    border: none;
    cursor: pointer;
    filter: drop-shadow(5px -2px 5px rgba(0, 0, 0, 0.45));
}


#map_buttons button:hover, #map_buttons button.active {
    background-image: url("../img/map_buttons_on.png");
}

#map_buttons > #left_arrow {
    background-position: 0 0;
    top: 29px;
    left: 31px;
}

#map_buttons > #right_arrow {
    background-position: -96px 0px;
    top: 29px;
    left: 119px;
}

#map_buttons > #flint {
    background-position: 0px -96px;
    top: 0px;
    left: 247px;
}

#map_buttons > #descent {
    background-position: -192px 0px;
    top: 0px;
    left: 333px;
}

#map_buttons > #kalgoorlie {
    background-position: -288px 0px;
    top: 0px;
    left: 416px;
}

#map_buttons > #yukimura {
    background-position: -384px -96px;
    top: 0px;
    left: 498px;
}

#map_buttons > #paragon {
    background-position: -96px -96px;
    top: 54px;
    left: 245px;
}

#map_buttons > #launch {
    background-position: -192px -96px;
    top: 54px;
    left: 335px;
}

#map_buttons > #mannst {
    background-position: -288px -96px;
    top: 54px;
    left: 421px;
}

#map_buttons > #frequency {
    background-position: -384px 0px;
    top: 54px;
    left: 509px;
}


#map_images {
    position: absolute;
    top: 420px;
    left: 260px;
    width: 510px;
    height: 294px;
    overflow: hidden;
    border-radius: 48px;
}
#map_images :not(.map_logo), #map_images div {
    height:100%;
}
#map_images > div:not(.active), #map_images :not(.active):not(a):not(a img) 
{
    display: none;
}

#map_images img.active,
#rush_maps > div.active .map_logo img
{
    display: block;
}

#map_images .map_logo,
#rush_maps .map_logo {
    display: block;
    position: absolute;
    bottom: 16px;
    left: calc(50% - 96px);
    max-width: 192px;
    filter: drop-shadow(0 0 5px rgba(0, 0, 0, 1));
    z-index: 9999;
}



#television_exploded {
    width: 100%;
    height: 300px;
    margin: 426px 0 0 6px;
    position: relative;
}
#television_exploded > iframe {
    position: absolute;
    top: 314px;
    left: 231px;
}

#rush_bg {
    background-image: url('../img/page2_02.jpg');
    width: 100%;
    height: 1088px;
}

#rush_explained {
    background-image: url('../img/page2_03.jpg');
    width: 100%;
    height: 862px;
}

#rush_maps {
    position: relative;
    background-image: url('../img/page2_04.jpg');
    width: 100%;
    height: 1070px;
    overflow: hidden;
}

#rush_maps > div:not(.active)
{
    display: none;
}
#rush_maps > div.active
{
    display: block;
}

#rush_maps > div > div.map_container {
    height: 388px;
    width: 689px;
    display: block;
    position: absolute;
    top: 141px;
    lefT: 125px;
    transform: rotate(-1.75deg);
}

#prefablink {
    position: absolute;
    font-family: 'Agency FB Bold';
    font-size: 116px;
    top: 745px;
    left: 163px;
    text-decoration: none;
    opacity: 0.75;
    color:black;
}

#prefablink:hover {
  text-shadow: 0 0 32px rgba(255, 255, 255, 0.8);
}

#rush_maps > div {
    width: 1040px;
    height: 1070px;
}

#rush_maps .map_container img:not(.active) {
    display: none;
}

#rush_maps button {
    height: 64px;
    width: 96px;
    position: absolute;
    background-color: transparent;
    border:1px solid transparent;
    z-index: 50;
    cursor: pointer;
}

#rush_maps button:nth-of-type(1) {
    top: 18px;
    left: 389px;
}
#rush_maps button:nth-of-type(2) {
    top: 18px;
    left: 551px;
}
#rush_maps button:nth-of-type(3) {
    top: 18px;
    left: 697px;
}

#rush_maps button:nth-of-type(4) {
    top: 265px;
    left: 62px;
    height: 100px;
    width: 116px;
    background-image: url("../img/rush_map_selector_left.png");
    background-size: contain;
}
#rush_maps button:nth-of-type(5) {
    top: 252px;
    left: 755px;
    height: 100px;
    width: 116px;
    background-image: url("../img/rush_map_selector_right.png");
    background-size: contain;

}

#weapon_container {
    position: absolute;
    z-index: 9999;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

#weapon_container > a {
    position: absolute;
    width: 256px;
    height: 256px;
}

#weapon_container > a:hover {
    filter: drop-shadow(0px 0px 32px rgba(255,255,255,0.25));
}

#toothpick {
    top: 419px;
    left: 557px;
}

#sinad {
    top: 148px;
    left: 242px;
}

#pagemann {
    top: 700px;
    left: 230px;
}

#deadline {
    top: 960px;
    left: 565px;
}

#gamebananalink {
    position: absolute;
    bottom: 76px;
    right: 160px;
    height: 40px;
    width: 270px;
    z-index: 999999;
}

#fullcollection {
    position: relative;
    background: url('../img/page2_07.jpg') no-repeat scroll center top;
    width: 100%;
    height: 1552px;
}

#fullcollection a:hover {
    filter: drop-shadow(0px 0px 3px rgba(255,255,255,1));
}

#fullcollection a {
    display: block;
    margin: 6px auto 0;
    max-width: 375px;
}

#warpaint_container {
    position: relative;
    top: 994px;
}

#warpaint_container a:hover {
    filter: drop-shadow(0px 0px 15px rgba(255,255,255,1));
}
#warpaint_container a {
    display: block;
    max-width: 325px;
    position: absolute;
    filter: drop-shadow(0px 0px 15px rgba(0,0,0,1));
    transition: filter 250ms;
}

#page2-weapons {
    position: relative;
    background-image: url('../img/page2_06.jpg');
    width: 100%;
    height: 1386px;
}

#warpaint_container #grenadelauncher {
    top: -791px;
    left: 93px;
}

#warpaint_container #wrench {
    top: -690px;
    left: 336px;
}

#warpaint_container #gun {
    top: -633px;
    left: 500px;
}

#warpaint_container #stickylauncher {
    top: -751px;
    left: 710px;
}

#warpaint_container #rocketlauncher {
    top: -557px;
    left: 226px;
}


#warpaint_container #scat {
    top: -446px;
    left: 456px;
}

#warpaint_container #amputator {
    top: -511px;
    left: 698px;
}


#credits {
    position: relative;
}

#credits_list {
    position: absolute;
    z-index: 9999;
    top: 540px;
    left: 238px;
    height: 431px;
    width: 555px;
    overflow: auto;
    padding: 10px;
    cursor: default;
} 

#credits_list h3 {
    font-family: Ocra;
    text-transform: uppercase;
    font-size: 20px;
    color: #565656;
}

#credits_list a {
    display: inline-block;
    font-size: 15px;
    text-transform: uppercase;
    font-family: Agency FB Bold;
    color: #555;
    margin-right: 25px;
    text-decoration: none;
    cursor: pointer;
}